<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Blog</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <?php 
    session_start();
    
    require_once('model.php');
    
    switch ($_GET['action']){
        case '':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'accueil-view.php';
        break;

        case 'archives':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'archive-view.php';
        break;

        case 'commentaires':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'commentaires-view.php';
        break;

        case 'delete-commentaire':
            $return=DeleteCommentaire($_GET['id_commentaire']);
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'commentaires-view.php';
        break;

        case 'update-billet':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'update-billet-view.php';
        break;

        case 'add-billet':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'add-billet-view.php';
        break;
        

        case 'traite-add-billet':
            $return=InsertBillet();
            if ($return == 'billet-inserted'){
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'archive-view.php';
            }
            else{
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'add-billet-view.php';
            }
        break;

        case 'traite-update-billet':
            $return=TraiteUpdateBillet();
            if ($return == 'billet-modified'){
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'archive-view.php';
            }
            else{
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'update-billet-view.php';
            }
        break;

        case 'traite-add-commentaire':
            $return=InsertCommentaire();
            if ($return == 'commentaire-inserted'){
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'commentaires-view.php';
            }
            else{
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'commentaires-view.php';
            }
        break;

        case 'update-commentaire':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'update-commentaire-view.php';
        break;

        case 'traite-update-commentaire':
            $return=TraiteUpdateCommentaire();
            if ($return == 'commentaire-modified'){
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'commentaires-view.php';
            }
            else{
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'update-commentaire-view.php';
            }

        break;

        case 'delete-billet':
            $return=DeleteBillet($_GET['id_billet']);
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'archive-view.php';
        break;

        case 'inscription':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'inscription-view.php';
        break;

        case 'traite-inscription':
            $return=TraiteInscription();
                    if ($return != 'user-inserted'){
                        require_once('nav-view.php');
                        echo '<main id="main" class="flexbox-col">';
                        require 'inscription-view.php';
                    } 
                    elseif ($return == 'user-inserted'){
                        require_once('nav-view.php');
                        echo '<main id="main" class="flexbox-col">';
                        echo 
                        require 'connexion-view.php' ;
                    }
        break;
        
        case 'connexion':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'connexion-view.php';
        break;

        case 'traite-connexion':
            $return=TraiteConnexion();
            if ($return == 'user-connected'){
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'accueil-view.php';
            }
            else{
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'connexion-view.php';
            }
        break;

        case 'deconnexion':
            TraiteDeconnexion();
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'accueil-view.php';
        break;

        case 'affiche-profil':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'affiche-profil-view.php';
        break;
        
        case 'modif-profil':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'profil-modif-view.php';
        break;

        case 'traite-modif-profil':
            $return=TraiteModifProfil();
            if ($return == 'user-modified'){
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'affiche-profil-view.php';
            }
            else{
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'profil-modif-view.php';
            }
        break;

        case 'utilisateurs':
            $liste_utilisateurs=AfficheUtilisateurs();
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'liste-utilisateurs-view.php';
        break;

        case 'suppr-utilisateur':
            $return=DeleteUser($_GET['id']);
            $liste_utilisateurs=AfficheUtilisateurs();
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'liste-utilisateurs-view.php';
        break;

        case 'modif-utilisateur':
            require_once('nav-view.php');
            echo '<main id="main" class="flexbox-col">';
            require 'modif-utilisateur-view.php';
        break;

        case 'traite-modif-utilisateur':
            $return=TraiteModifUtilisateur($_GET['id']);
            
            if ($return == 'user-modified'){
                $liste_utilisateurs=AfficheUtilisateurs();
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'liste-utilisateurs-view.php';
            }
            else{
                require_once('nav-view.php');
                echo '<main id="main" class="flexbox-col">';
                require 'modif-utilisateur-view.php';
            }
        break;

        
    }
    ?>
    </main>
    <script src="script.js"></script>
    <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
<script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>
</body>
</html>